"use client";
function l(t, i) {
  return function(f, n) {
    for (var r = f.length, s = [], u = 0, e = t[0], a = 0; r > 0 && e > 0 && (a + e + 1 > n && (e = Math.max(1, n - a)), s.push(f.substring(r -= e, r + e)), !((a += e + 1) > n)); )
      e = t[u = (u + 1) % t.length];
    return s.reverse().join(i);
  };
}
export {
  l as default
};
